[Snort-users] centos 5 mysql and flexresp2 installation

matthanna at ...14737... matthanna at ...14737...
Wed Jan 20 07:01:07 EST 2010


 Hi all,

I'm having issues installing snort-2.8.5.2 on Centos5.4 x86_64. I've done considerable googleling and going
through the archives, and plenty of trial and error.

when I run './configure --with-mysql' it completes.
when I run './configure --enable-flexresp2' it completes.

But when I run './configure --with-mysql --enable-flexresp2' I get the following;

checking for dnet.h... yes
checking for eth_set in -ldnet... no

   ERROR!  Libdnet library not found, go get it from
   http://libdnet.sourceforge.net or use the --with-dnet-*
   options, if you have it installed in an unusual place

I have libdnet installed, and when I --with-dnet-libraries=/usr/local/lib/ I get the same error as above.

ls -l /usr/local/lib/
total 448
lrwxrwxrwx 1 root root     13 Jan 20 21:29 libdnet -> libdnet.1.0.1
lrwxrwxrwx 1 root root     13 Jan 20 21:29 libdnet.1 -> libdnet.1.0.1
-rwxr-xr-x 1 root root 157389 Jan 20 21:29 libdnet.1.0.1
-rw-r--r-- 1 root root 266070 Jan 20 21:29 libdnet.a
-rwxr-xr-x 1 root root    778 Jan 20 21:29 libdnet.la

It seems only when I want both mysql and flexresp2 I get the problem. Also, --with-dnet-includes= doesn't 
help.

Any help will be greatly appreciated, and as always, if this is a double post, I apologize, I have been
looking.

Cheers,
Matt Hanna
~                             
---- Message sent via Adam Internet WebMail  - http://www.adam.com.au/




More information about the Snort-users mailing list